[arch-releng] [RFC] [PATCH] [releng] Update for newer cmd params in build.sh

Gerardo Exequiel Pozzi vmlinuz386 at yahoo.com.ar
Mon Aug 22 11:08:09 EDT 2011


* Untested. But should work(tm).
* Add purge cmd to save space during build.
* Cleanup dual workdir in dual script not in single.
* Adapt to new default out_dir for *.iso (-o out).

Dieter:
 You may want to use requested options -V <iso_version> and -L <iso_label> to build.sh

---
 scripts/releng-process-images      |   14 +++++++-------
 scripts/releng-rebuild-dual-images |    4 +++-
 scripts/releng-rebuild-images      |    9 +++++----
 3 files changed, 15 insertions(+), 12 deletions(-)

diff --git a/scripts/releng-process-images b/scripts/releng-process-images
index d8d82b5..bd60397 100755
--- a/scripts/releng-process-images
+++ b/scripts/releng-process-images
@@ -7,21 +7,21 @@ then
 	die_error "build process is still running! cannot continue"
 fi
 [ ! -f /.arch-chroot ] || die_error "must be run outside chroot"
-if [ `ls /home/releng/configs-do-not-change-rsync-from-usr-share/releng/archlinux-*i686.iso | wc -w` -ne 2 ]; then
-	die_error "i need 2 i686 images! got:\n`ls -alh /home/releng/configs-do-not-change-rsync-from-usr-share/releng/archlinux-*i686.iso`"
+if [ `ls /home/releng/configs-do-not-change-rsync-from-usr-share/releng/out/archlinux-*i686.iso | wc -w` -ne 2 ]; then
+	die_error "i need 2 i686 images! got:\n`ls -alh /home/releng/configs-do-not-change-rsync-from-usr-share/releng/out/archlinux-*i686.iso`"
 fi
-if [ `ls /home/releng/configs-do-not-change-rsync-from-usr-share/releng/archlinux-*x86_64.iso | wc -w` -ne 2 ]; then
-	die_error "i need 2 x86_64 images! got:\n`ls -alh /home/releng/configs-do-not-change-rsync-from-usr-share/releng/archlinux-*x86_64.iso`"
+if [ `ls /home/releng/configs-do-not-change-rsync-from-usr-share/releng/out/archlinux-*x86_64.iso | wc -w` -ne 2 ]; then
+	die_error "i need 2 x86_64 images! got:\n`ls -alh /home/releng/configs-do-not-change-rsync-from-usr-share/releng/out/archlinux-*x86_64.iso`"
 fi
-if [ `ls /home/releng/configs-do-not-change-rsync-from-usr-share/releng/archlinux-*dual.iso | wc -w` -ne 2 ]; then
-	die_error "i need 2 dual images! got:\n`ls -alh /home/releng/configs-do-not-change-rsync-from-usr-share/releng/archlinux-*dual.iso`"
+if [ `ls /home/releng/configs-do-not-change-rsync-from-usr-share/releng/out/archlinux-*dual.iso | wc -w` -ne 2 ]; then
+	die_error "i need 2 dual images! got:\n`ls -alh /home/releng/configs-do-not-change-rsync-from-usr-share/releng/out/archlinux-*dual.iso`"
 fi
 
 echo "Removing any stale images in /home/releng.."
 rm -f /home/releng/archlinux-*.iso || die_error "Could not rm -f /home/releng/archlinux-*.iso"
 
 echo "Collecting the images"
-mv /home/releng/configs-do-not-change-rsync-from-usr-share/releng/archlinux-*.iso /home/releng/ || die_error "Could not move isos to /home/releng/"
+mv /home/releng/configs-do-not-change-rsync-from-usr-share/releng/out/archlinux-*.iso /home/releng/ || die_error "Could not move isos to /home/releng/"
 
 cd /home/releng || die_error "could not cd /home/releng"
 if [ `ls archlinux-*iso | wc -w` -ne 6 ]; then
diff --git a/scripts/releng-rebuild-dual-images b/scripts/releng-rebuild-dual-images
index f88a30d..d23d672 100755
--- a/scripts/releng-rebuild-dual-images
+++ b/scripts/releng-rebuild-dual-images
@@ -6,6 +6,8 @@ source /usr/lib/libui.sh
 dir=/home/releng/configs-do-not-change-rsync-from-usr-share
 [ -d $dir ] || die_error "$dir does not exist"
 cd $dir/releng/ || die_error "Could not cd $dir/releng/"
+echo "cleaning dual build dir for `uname -m`"
+./build.sh clean dual || die_error "./build.sh clean dual FAILED"
 echo "building dual images for `uname -m`"
 cd $dir/releng/ || die_error "Could not cd $dir/releng/"
-./build.sh all_iso_dual || die_error "./build.sh all_iso_dual FAILED"
+./build.sh build dual all || die_error "./build.sh build dual all FAILED"
diff --git a/scripts/releng-rebuild-images b/scripts/releng-rebuild-images
index 2a9653e..e9a36c0 100755
--- a/scripts/releng-rebuild-images
+++ b/scripts/releng-rebuild-images
@@ -6,9 +6,10 @@ source /usr/lib/libui.sh
 dir=/home/releng/configs-do-not-change-rsync-from-usr-share
 [ -d $dir ] || die_error "$dir does not exist"
 cd $dir/releng/ || die_error "Could not cd $dir/releng/"
-echo "cleaning build dir for `uname -m`"
-./build.sh clean_single || die_error "./build.sh clean_single FAILED"
-./build.sh clean_dual || die_error "./build.sh clean_dual FAILED"
+echo "cleaning single build dir for `uname -m`"
+./build.sh clean single || die_error "./build.sh clean single FAILED"
 echo "building images for `uname -m`"
 cd $dir/releng/ || die_error "Could not cd $dir/releng/"
-./build.sh all_iso_single || die_error "./build.sh all_iso_single FAILED"
+./build.sh build single all || die_error "./build.sh build single all FAILED"
+echo "purging single build dir for `uname -m`"
+./build.sh purge single || die_error "./build.sh purge single FAILED"
-- 
1.7.6



More information about the arch-releng mailing list